Bug 1248492 - [abrt] WARNING: CPU: 0 PID: 4545 at drivers/gpu/drm/i915/intel_display.c:1332 assert_plane.constprop.88+0x74/0xb0 [i915]() [i915]
[abrt] WARNING: CPU: 0 PID: 4545 at drivers/gpu/drm/i915/intel_display.c:1332...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:97b10cc5b3aeaffcd6625364e8b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 08:06 EDT by Juan Antonio Clavero
Modified: 2016-07-19 13:16 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (76.16 KB, text/plain)
2015-07-30 08:06 EDT, Juan Antonio Clavero
no flags Details

  None (edit)
Description Juan Antonio Clavero 2015-07-30 08:06:31 EDT
Additional info:
reporter:       libreport-2.6.1
WARNING: CPU: 0 PID: 4545 at drivers/gpu/drm/i915/intel_display.c:1332 assert_plane.constprop.88+0x74/0xb0 [i915]()
plane A assertion failure (expected on, current off)
Modules linked in: fuse xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge stp llc ebtable_filter ebtables ip6table_filter thinkpad_acpi ip6_tables ccm cpufreq_stats vfat fat snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_controller snd_hda_codec snd_soc_rt5640 snd_soc_rl6231 snd_soc_core snd_compress snd_hda_core snd_pcm_dmaengine snd_hwdep snd_seq btusb btbcm btintel snd_seq_device bluetooth iTCO_wdt iTCO_vendor_support snd_pcm uvcvideo intel_rapl videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev iosf_mbi media x86_pkg_temp_thermal coretemp arc4 rtl8723be btcoexist rtl8723_common kvm_intel snd_timer rtl_pci rtlwifi
 snd kvm soundcore mac80211 regmap_i2c crct10dif_pclmul cfg80211 snd_soc_sst_acpi crc32_pclmul crc32c_intel ghash_clmulni_intel joydev mei_me mei ideapad_laptop dw_dmac sparse_keymap rfkill lpc_ich mfd_core dw_dmac_core i2c_designware_platform i2c_i801 i2c_designware_core shpchp wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc hid_logitech_hidpp hid_multitouch hid_logitech_dj i915 i2c_algo_bit drm_kms_helper drm r8169 serio_raw mii sdhci_acpi sdhci mmc_core video i2c_hid
CPU: 0 PID: 4545 Comm: Xorg Not tainted 4.1.2-200.fc22.x86_64 #1
Hardware name: LENOVO 20404/Lenovo Flex 2-14, BIOS A0CN31WW 10/08/2014
 0000000000000000 00000000d6888b5f ffff8800bbbc35f8 ffffffff8179aa6d
 0000000000000000 ffff8800bbbc3650 ffff8800bbbc3638 ffffffff810a163a
 0000000100000000 0000000000000000 ffff880222fe0000 ffff88022335f800
Call Trace:
 [<ffffffff8179aa6d>] dump_stack+0x45/0x57
 [<ffffffff810a163a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16c5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa016b604>] assert_plane.constprop.88+0x74/0xb0 [i915]
 [<ffffffffa0173b13>] hsw_disable_ips+0x43/0x1a0 [i915]
 [<ffffffffa0173ef1>] intel_crtc_disable_planes+0x41/0x170 [i915]
 [<ffffffffa0174ce7>] haswell_crtc_disable+0x47/0x3c0 [i915]
 [<ffffffffa0175dda>] __intel_set_mode+0xbaa/0xce0 [i915]
 [<ffffffffa00a044e>] ? drm_atomic_get_crtc_state+0x1e/0xc0 [drm]
 [<ffffffffa017d53f>] intel_crtc_set_config+0xd3f/0x1080 [i915]
 [<ffffffffa00a03fc>] ? drm_atomic_state_free+0x2c/0x60 [drm]
 [<ffffffffa0090526>] drm_mode_set_config_internal+0x66/0x100 [drm]
 [<ffffffffa00f4bb8>] restore_fbdev_mode+0xc8/0xf0 [drm_kms_helper]
 [<ffffffffa00f6c19>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x80 [drm_kms_helper]
 [<ffffffffa00f6c92>] drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
 [<ffffffffa018c76a>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff8134daad>] ? context_struct_compute_av+0x34d/0x440
 [<ffffffff81429df6>] fb_set_var+0x236/0x480
 [<ffffffff81336ae7>] ? avc_alloc_node+0x27/0x130
 [<ffffffff813beb79>] ? flex_array_get_ptr+0x9/0x20
 [<ffffffff8134dc05>] ? type_attribute_bounds_av+0x65/0x2f0
 [<ffffffff81336ae7>] ? avc_alloc_node+0x27/0x130
 [<ffffffff8141f8cc>] fbcon_blank+0x34c/0x390
 [<ffffffff814a7c2a>] do_unblank_screen+0xda/0x1d0
 [<ffffffff8149c96b>] vt_ioctl+0x56b/0x1420
 [<ffffffff81336ae7>] ? avc_alloc_node+0x27/0x130
 [<ffffffff8148f4c1>] tty_ioctl+0x3f1/0xc30
 [<ffffffff813372d8>] ? avc_has_perm+0x128/0x1a0
 [<ffffffff8123c19f>] ? putname+0x6f/0x80
 [<ffffffff8123caf9>] ? do_unlinkat+0x109/0x320
 [<ffffffff8123fc76>] do_vfs_ioctl+0x2c6/0x4d0
 [<ffffffff8123ff01>] SyS_ioctl+0x81/0xa0
 [<ffffffff817a102e>] system_call_fastpath+0x12/0x71
Comment 1 Juan Antonio Clavero 2015-07-30 08:06:37 EDT
Created attachment 1057639 [details]
File: dmesg
Comment 2 Micah Abbott 2015-09-24 12:22:49 EDT
I believe I also observed this problem using a Lenovo T440s docked with 2 monitors connected via DisplayPort.  Kernel was tainted, but relevant dmesg output:


[99133.343590] ------------[ cut here ]------------
[99133.343668] WARNING: CPU: 0 PID: 2280 at drivers/gpu/drm/i915/intel_display.c:1332 assert_plane.constprop.88+0x74/0xb0 [i915]()
[99133.343670] plane A assertion failure (expected on, current off)
[99133.343744] Modules linked in: xt_nat veth vhost_net vhost macvtap macvlan rfcomm fuse ccm cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun xt_addrtype nf_conntrack_netbios_ns nf_conntrack_broadcast
 ip6t_rpfilter br_netfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c loop ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrac
k_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_sec
urity iptable_raw bnep arc4 iTCO_wdt iTCO_vendor_support intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel snd_hda_codec_realtek snd_hda_codec_generic kvm snd_hda_codec_hdmi
[99133.343785]  iwlmvm mac80211 snd_hda_intel snd_hda_controller snd_hda_codec uvcvideo iwlwifi btusb snd_hda_core videobuf2_vmalloc btbcm snd_hwdep videobuf2_core btintel snd_seq videobuf2_memops bluetooth v4l2
_common snd_seq_device cfg80211 snd_pcm videodev i2c_i801 rtsx_pci_ms lpc_ich media memstick thinkpad_acpi mei_me snd_timer tpm_tis wmi rfkill snd tpm mei soundcore shpchp nfsd auth_rpcgss nfs_acl lockd grace su
nrpc dm_crypt 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit crct10dif_pclmul crc32_pclmul drm_kms_helper crc32c_intel drm e1000e ghash_clmulni_intel serio_raw rtsx_pci mfd_core ptp pps_core vi
deo
[99133.343791] CPU: 0 PID: 2280 Comm: Xorg Tainted: G        W       4.1.6-201.fc22.x86_64 #1
[99133.343792] Hardware name: LENOVO 20ARS0LE00/20ARS0LE00, BIOS GJET75WW (2.25 ) 03/28/2014
[99133.343797]  0000000000000000 00000000cfe608b3 ffff8800c91b35f8 ffffffff81799a6d
[99133.343800]  0000000000000000 ffff8800c91b3650 ffff8800c91b3638 ffffffff810a165a
[99133.343803]  0000000100000000 0000000000000000 ffff880036960000 ffff88030c2c8800
[99133.343804] Call Trace:
[99133.343816]  [<ffffffff81799a6d>] dump_stack+0x45/0x57
[99133.343822]  [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
[99133.343826]  [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
[99133.343878]  [<ffffffffa01d7694>] assert_plane.constprop.88+0x74/0xb0 [i915]
[99133.343916]  [<ffffffffa01df9e3>] hsw_disable_ips+0x43/0x1a0 [i915]
[99133.343950]  [<ffffffffa01dfdc1>] intel_crtc_disable_planes+0x41/0x170 [i915]
[99133.343982]  [<ffffffffa01e0bb7>] haswell_crtc_disable+0x47/0x3c0 [i915]
[99133.344015]  [<ffffffffa01e1e8a>] __intel_set_mode+0xbaa/0xce0 [i915]
[99133.344051]  [<ffffffffa00c543e>] ? drm_atomic_get_crtc_state+0x1e/0xc0 [drm]
[99133.344088]  [<ffffffffa01e95ef>] intel_crtc_set_config+0xd3f/0x1080 [i915]
[99133.344120]  [<ffffffffa00c53ec>] ? drm_atomic_state_free+0x2c/0x60 [drm]
[99133.344148]  [<ffffffffa00b5516>] drm_mode_set_config_internal+0x66/0x100 [drm]
[99133.344167]  [<ffffffffa0127d08>] restore_fbdev_mode+0xc8/0xf0 [drm_kms_helper]
[99133.344186]  [<ffffffffa0129d69>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x80 [drm_kms_helper]
[99133.344201]  [<ffffffffa0129de2>] drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
[99133.344239]  [<ffffffffa01f881a>] intel_fbdev_set_par+0x1a/0x60 [i915]
[99133.344245]  [<ffffffff8142a726>] fb_set_var+0x236/0x480
[99133.344249]  [<ffffffff8120b45f>] ? __slab_free+0xbf/0x260
[99133.344254]  [<ffffffff81241cdc>] ? do_sys_poll+0x14c/0x600
[99133.344260]  [<ffffffff814201fc>] fbcon_blank+0x34c/0x390
[99133.344266]  [<ffffffff814a859a>] do_unblank_screen+0xda/0x1d0
[99133.344269]  [<ffffffff8149d2db>] vt_ioctl+0x56b/0x1420
[99133.344274]  [<ffffffff813372d7>] ? avc_alloc_node+0x27/0x130
[99133.344278]  [<ffffffff8148fe31>] tty_ioctl+0x3f1/0xc30
[99133.344281]  [<ffffffff81337ac8>] ? avc_has_perm+0x128/0x1a0
[99133.344285]  [<ffffffff8123fcf6>] do_vfs_ioctl+0x2c6/0x4d0
[99133.344289]  [<ffffffff8123ff81>] SyS_ioctl+0x81/0xa0
[99133.344293]  [<ffffffff81068eff>] ? do_page_fault+0x2f/0x80
[99133.344298]  [<ffffffff817a002e>] system_call_fastpath+0x12/0x71
[99133.344300] ---[ end trace 372300a58fa0d8ca ]---
Comment 3 Fedora End Of Life 2016-07-19 13:16:05 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.